Update an existing Credit Report
curl --request PATCH \
--url https://commerce.driv.ly/api/creditreports/{id} \
--header 'Content-Type: application/json' \
--data '
{
"id": "crp_5dk3j9dk2l3k",
"time": "2023-04-12T15:30:00Z",
"hasNS": false,
"creditBand": {
"id": "crb_39fjkd93nmd0",
"name": "Excellent",
"minimumCreditScore": 700,
"maximumCreditScore": 800
},
"creditScore": 720,
"preApproval": {
"id": "pre_59dk394fjdl3",
"consumer": "Consumer ID",
"creditBand": "crb_39fjkd93nmd0",
"validUntilTime": "2024-04-12T00:00:00Z"
},
"hasUnknownScore": false
}
'import requests
url = "https://commerce.driv.ly/api/creditreports/{id}"
payload = {
"id": "crp_5dk3j9dk2l3k",
"time": "2023-04-12T15:30:00Z",
"hasNS": False,
"creditBand": {
"id": "crb_39fjkd93nmd0",
"name": "Excellent",
"minimumCreditScore": 700,
"maximumCreditScore": 800
},
"creditScore": 720,
"preApproval": {
"id": "pre_59dk394fjdl3",
"consumer": "Consumer ID",
"creditBand": "crb_39fjkd93nmd0",
"validUntilTime": "2024-04-12T00:00:00Z"
},
"hasUnknownScore": False
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'crp_5dk3j9dk2l3k',
time: '2023-04-12T15:30:00Z',
hasNS: false,
creditBand: {
id: 'crb_39fjkd93nmd0',
name: 'Excellent',
minimumCreditScore: 700,
maximumCreditScore: 800
},
creditScore: 720,
preApproval: {
id: 'pre_59dk394fjdl3',
consumer: 'Consumer ID',
creditBand: 'crb_39fjkd93nmd0',
validUntilTime: '2024-04-12T00:00:00Z'
},
hasUnknownScore: false
})
};
fetch('https://commerce.driv.ly/api/creditreports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "crp_5dk3j9dk2l3k",
"time": "2023-04-12T15:30:00Z",
"hasNS": false,
"creditBand": {
"id": "crb_39fjkd93nmd0",
"name": "Excellent",
"minimumCreditScore": 700,
"maximumCreditScore": 800
},
"creditScore": 720,
"preApproval": {
"id": "pre_59dk394fjdl3",
"consumer": "Consumer ID",
"creditBand": "crb_39fjkd93nmd0",
"validUntilTime": "2024-04-12T00:00:00Z"
},
"hasUnknownScore": false
},
"success": true
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 404,
"message": "Credit Report Not Found"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Credit
Update an existing Credit Report
PATCH
/
creditreports
/
{id}
Update an existing Credit Report
Path Parameters
Credit Report is uniquely identified by id
Query Parameters
The number of levels of related objects to include in the response
Body
application/json
Credit Report is uniquely identified by id
Credit Report has Credit Score
Credit Report was pulled at Time
Credit Report falls in Credit Band
Pre-Approval has Credit Report
Credit Report has unknown score
Credit Report has NS
Response
Credit Report Updated
Show child attributes
Show child attributes
Example:
{ "id": "crp_5dk3j9dk2l3k", "time": "2023-04-12T15:30:00Z", "hasNS": false, "creditBand": { "id": "crb_39fjkd93nmd0", "name": "Excellent", "minimumCreditScore": 700, "maximumCreditScore": 800 }, "creditScore": 720, "preApproval": { "id": "pre_59dk394fjdl3", "consumer": "Consumer ID", "creditBand": "crb_39fjkd93nmd0", "validUntilTime": "2024-04-12T00:00:00Z" }, "hasUnknownScore": false }